close all;
clear;

% Generate some example far-field.
a = gen_farfield('inc. electric dipole', 181);
%a = gen_farfield('inc. Huygens source', 181);
a = rotate_farfield(a, 0, 45, 0);

% Different ways to plot far-field:
figure; plot_farfield(a);
figure; plot_farfield_2D(a);
figure; plot_farfield_phicut(a);
figure; plot_farfield_thetacut(a);
figure; plot_polar_format('phicut'); plot_polar_farfield_phicut(a);
figure; plot_polar_format('thetacut'); plot_polar_farfield_thetacut(a);
