close all;
clear;

% Define example.
w = gen_waves('3D', 1e4, 1);
a = [gen_farfield('inc. electric dipole') gen_farfield('cosn 50')];
p = gen_positions([0 0]);

% Calculate and plot result.
H = calc_waves(w, a, p);
figure; plot_cdf(H, 4); xlim([-50 10]); legend(a.name);
figure; plot_pod(H, 4); xlim([-10 50]); legend(a.name);
