% Clear and calculate.
close all;
clear;

a = read_farfield('../data/Laird/top_antenna_freespace.txt');
a = select_freq_farfield(a, a.Nfreq);
a = rotate_farfield(a, 0, 90, 140);
a = set_power_radiated(a);
figure;
plot_farfield(a);
view(70,15);
%save_png('ant_3D.png', 32); modify_image('ant_3D.png');

% Environment.
N = 1e4;
w = gen_waves('3D', N, 20, 'LP', [], 4);
a = gen_farfield('inc. electric dipole');
p = gen_positions(0, 0, 0, 0, [0 90]', 0);
H = calc_waves(w, a, p);

w
a
p
size(H)

figure; plot_cdf(H); %save_png('cdf.png');
figure; plot_pod(H); %save_png('pod.png');
