function y = c0()
%C0 Physical constant, speed of light in free space, c0 = 2.99792458*10^8 m/s.
%
%   function y = c0()
%
%   c0 = 2.99792458*10^8 m/s
%
%   Reference:
%   https://en.wikipedia.org/wiki/Speed_of_light
%
%   See also EPS0, ETA0, MU0.

% By Ulf Carlberg.

y = 2.99792458e8;

end
