function A = diversity_max(H)
%DIVERSITY_MAX Diversity algorithm of channel matrix using MAX (maximum value).
%
%   function A = diversity_max(H)
%
%   The function operates along dimension 1 of the channel matrix "H", and
%   return a matrix "A" with reduced dimensions.

% By Ulf Carlberg.

A = shiftdim(max(abs(H),[],1), 1);

end
