function A = diversity_min(H)
%DIVERSITY_MIN Diversity algorithm of channel matrix using MIN (minimum value).
%
%   function A = diversity_min(H)
%
%   The function operates along dimension 1 of the channel matrix "H", and
%   return a matrix "A" with reduced dimensions.

% By Ulf Carlberg.

A = shiftdim(min(abs(H),[],1), 1);

end
