function b = isoctave()
%ISOCTAVE Return true if Octave, false if Matlab
%
%   function b = isoctave()
%
%   Return true if Octave, false if Matlab

% By Ulf Carlberg.

if numel(ver('MATLAB'))
    b = false;
elseif numel(ver('Octave'))
    b = true;
else
    error('Unknown version.');
end

end
