close all;
clear;

a = gen_farfield('inc. electric dipole');
H = calc_rlos(a, 3000);

figure;
plot_cdf(H);

figure;
for N = [100 1e3 10e3 100e3]
    H = calc_rlos(a, N);
    plot_cdf(H);
end
legend('Location', 'southeast');
