close all;
clear;

% Read far-fields from files and plot them.
a1 = read_farfield('../data/Laird/bottom_antenna_freespace.txt');
a2 = read_farfield('../data/Laird/top_antenna_freespace.txt');
figure; plot_farfield(a1);
figure; plot_farfield(a2);

% Calculate correlation.
corr = farfield_correlation(a1, a2);
disp('Correlation from far-fields:');
disp(abs(corr)');
