close all;
clear;

n = 20;
[theta, phi] = sph_regsamp(n);

dtheta = theta - theta.';
dphi = phi - phi.';

tmp = sind(dtheta/2).^2 + sind(theta) * sind(theta.') .* sind(dphi/2).^2;
d = 2 * asin(sqrt(tmp));
d = 1000*d/pi;

for ii = 1:n
   d(ii,ii:end) = 0;
end
t = sort(d(:));
t = t(t>0);

figure; imagesc(d);

figure;
plot(t);
