close all;
clear;

% Generate some farfield.
a1 = gen_farfield('inc. magnetic dipole', 41, 81);
figure; plot_farfield(a1);

% Translate it.
a2 = translate_farfield(a1, 0.1, 0, 0);
a2.actions
figure; plot_farfield(a2);

figure;
plot(real(a1.Eph(21,:)), 'b-'); hold on;
plot(imag(a1.Eph(21,:)), 'r-');
plot(real(a2.Eph(21,:)), 'b--');
plot(imag(a2.Eph(21,:)), 'r--');
