close all;
clear;

a = read_farfield('../data/CST/Ch_Monopole_1_5.9.txt');
figure;
plot_farfield(a);

a = read_farfield('../data/CST/Ant.txt');
figure;
plot_farfield(a);

for freq_MHz = 1500:100:3000
    lambda = 300/freq_MHz;
    filename = sprintf('../data/Bowtie_diff_exc/%.0f.txt', freq_MHz);
    a = read_farfield(filename);
    figure;
    plot_farfield(a);
    text(-2, 0, 2.5, filename, 'interpreter', 'none');
    drawnow;
end
