function P = get_power_radiated(a)
%GET_POWER_RADIATED Get radiated power of antenna structure.
%
%   function P = get_power_radiated(a)
%
%   Get radiated power "P" of antenna structure "a". "P" should be 1 for a
%   lossless antenna.

% By Ulf Carlberg.

P = integrate_farfield(a) / (4*pi);

end
