function o = virmlab()
%VIRMLAB Visual random multi-path environment laboratory by Ulf Carlberg et al..
%
%   function o = virmlab()
%
%   This function just prints (or return) some information about virmlab.

% By Ulf Carlberg.

info_text = ['\n' ...
    'virmlab - Visual Random Multi-path environment Laboratory\n' ...
    '\n' ...
    'Programmer: Ulf Carlberg.\n' ...
    'Theory: Ulf Carlberg, Per-Simon Kildal, and Jan Carlsson.\n' ...
    'Chalmers University of Technology, Gothenburg, Sweden,\n' ...
    'SP - Technical Research Institute of Sweden, Boras, Sweden.\n' ...
    'Contact: carlberg' char(2*23) 'ulf' char(2^6) 'gmail' char(414/9) ...
    'com\n\n' ...
    'This work has been supported by Chase, a VINN Excellence centre \n' ...
    'that is financed by the Swedish Governmental Agency for Innovation ' ...
    'Systems\n' ...
    '(VINNOVA), at Chalmers University of Technology.\n' ...
    '\n' ...
    'License: GNU GENERAL PUBLIC LICENSE, Version 2, see the file\n' ...
    '"license.txt".\n' ...
    '\n' ...
    'Getting started: Run and study the files in the "demo" folder.\n' ...
    '\n' ...
    ];

if nargout>0
    o = info_text;
else
    fprintf(info_text);
end

end
