% This script displays all scalars.

% Get variable data from workspace:
whos3_a = whos;

% Header:
disp('Name and value of scalars');
disp(' ');

% Display the scalar variables name and value:
for whos3_i = 1:length(whos3_a)
    if prod(whos3_a(whos3_i).size)<=1 && ...
            any(strcmp(whos3_a(whos3_i).class,{'double', 'single', ...
            'logical', 'char', 'int8', 'uint8', 'int16', 'uint16', 'int32', ...
            'uint32', 'int64', 'uint64'}))
        whos3_s = num2str(eval(whos3_a(whos3_i).name));
        if isempty(whos3_s), whos3_s = '[]'; end
        disp([whos3_a(whos3_i).name ' = ' whos3_s]);
    end
end

% Delete all variables used in this script:
clear whos3_a whos3_i whos3_s;
