% Test generation of far-field functions for canonical antennas.
close all; clear;

% a = gen_farfield('magnetic dipole');
% figure('OuterPosition',figpos('big'));
% plot_farfield(a,'angles','interp');

a = gen_farfield('cosn 30', 31, 61);
a = rotate_farfield(a, 0, 45, 45);

%figure('OuterPosition', figpos('big'));
plot_farfield(a);

% Make sure the power integral becomes one.
P = get_power_radiated(a);
fprintf('Power radiated = %.2f dB = %.8f\n', 10*log10(P), P);
