close all;
clear;

a1 = gen_farfield('inc. Huygens source');
a1 = rotate_farfield(a1, 0, 90, 0);
a2 = rotate_farfield(a1, 0, 90, 0);

figure;
plot_polar_format('thetacut');
h1 = plot_polar_farfield_thetacut(a1);
h2 = plot_polar_farfield_thetacut(a2, [], [], 'r-');
legend([h1 h2], 'Example 1', 'Example 2', 'Location', 'southeast');

figure;
plot_polar_format('phicut');
h1 = plot_polar_farfield_phicut(a1, [], 45);
h2 = plot_polar_farfield_phicut(a2, [], 45, 'r-');
legend([h1 h2], 'Example 1', 'Example 2', 'Location', 'southeast');
