close all;
clear;

% Define data files to read.
filenames = {...
    '../data/Bowtie_diff_exc/1500.txt', ...
    '../data/CST/Ant.txt', ...
    '../data/CST/Ch_monopole_1_5.9.txt', ...
    '../data/Laird/bottom_antenna_freespace.txt'};

for ii = 1:numel(filenames)
    tic;
    a(ii) = read_farfield(filenames{ii}); %#ok<SAGROW>
    toc;

    figure;
    plot_farfield(a(ii));
    
    check_farfield(a(ii));
    drawnow;
end
